Generated Build-Depends for python-distutils-extra is wrong

Bug #577385 reported by Sense Egbert Hofstede on 2010-05-08
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Quickly
Low
Unassigned
quickly (Ubuntu)
Low
Unassigned

Bug Description

When I executed the 'quickly package' command on a Quickly project I'm working on the package was generated nicely and everything worked.
However, I spotted one problem: the generated Build-Depends line looks like this: "Build-Depends: cdbs (>= 0.4.43), debhelper (>= 6), python, python-support (>= 0.6.4), python-distutils-extra (>= 2.10)".

However; an assertion in setup.py says "assert DistUtilsExtra.auto.__version__ >= '2.18', 'needs DistUtilsExtra.auto >= 2.18'", which means that the minimum version 2.10 for python-distutils-extra as given in the Build-Depends is incorrect, this should be 2.18.

Shane Fagan (shanepatrickfagan) wrote :

Thats not a bad thing Sense. The lower package version means that you can use it in older versions of Ubuntu. Im pretty sure there isnt any huge regressions in functionality between 2.10 - 2.18.

Sense Egbert Hofstede (sense) wrote :

But shouldn't the version referred to in setup.py be changed to a lower value as well in that case?

Shane Fagan (shanepatrickfagan) wrote :

Its only a build dependency so it uses it always installs the highest version it can so it doesnt matter what minimum package version is stated in the build depends. It doesnt mean much really and isnt a dependency on the deb.

Didier Roche (didrocks) wrote :

Thanks for reporting this bug and your interest in Quickly.

In fact, it should be corrected either by bumping down the setup.py in generated project or bumping it in python-distutils-extra when generate it. I don't have strong opinion there (from 2.10 to 2.18, only things for Quickly itself has been developed and small bugfix, but nothing really incompatible TBH). I'll fix it by one way or the other :-)

Changed in quickly:
status: New → Triaged
importance: Undecided → Low
Didier Roche (didrocks) on 2010-05-09
Changed in quickly (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Didier Roche (didrocks) wrote :

just fixing in Quickly itself, we'll see what we can do later in quickly package

Changed in quickly:
status: Triaged → Fix Committed
status: Fix Committed → Triaged
Changed in quickly:
status: Triaged → Fix Released
Changed in quickly (Ubuntu):
status: Triaged → Fix Released
Changed in quickly:
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)
papukaija (papukaija) wrote :

@bug-control: Please set this bug back to 'fix committed' for the upstream part and 'Triaged' for the Ubuntu part. Thanks in advance.

@Heru: Please stop touching at bug statuses.

Changed in quickly:
assignee: Heru Herdianto (herdiantoheru-yahoo) → papukaija (papukaija)
assignee: papukaija (papukaija) → nobody
Michael Terry (mterry) on 2011-07-06
Changed in quickly:
status: Fix Released → Triaged
Changed in quickly (Ubuntu):
status: Fix Released → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers